<!DOCTYPE html>
<html >
<head>
    <title>Document</title>
    <style>
           table, th, td {
                border: 1px solid black;
                border-collapse: collapse;
            }
            td {
                 text-align: center;
            }
    </style>
</head>

<body>
    <script>
        async function valuta (){
            let response = await fetch('https://bank.gov.ua/NBUStatService/v1/statdirectory/exchange?json');
            let data = await response.json();
            let selected=[0,1, 3,5,11,27,36,45, 49, 56,57,59,60];
            let table = document.createElement('td');
            let row = document.createElement('tr');
            row.append( document.createElement('td')); 
            row.childNodes[0].innerHTML='Назва ';
                for (let index of selected){
                    let cell = document.createElement('td');
                    cell.innerHTML=data[index].txt;
                    row.append(cell);
                }

            table.append(row);
            let row1 = document.createElement('tr');
            row1.append( document.createElement('td'));
            row1.childNodes[0].innerHTML='Курс валют';
                for (let index of selected){
                    let cell1 = document.createElement('td');
                    cell1.innerHTML=data[index].rate;
                    row1.append(cell1);
                }

            table.append(row1);            

            document.body.append(table);


        }
        valuta ();
    </script>
</body>

</html>
